Package commoble.morered

# Record Class SimpleRecipeSerializer<T extends net.minecraft.world.item.crafting.Recipe<?>>

java.lang.Object
java.lang.Record
commoble.morered.SimpleRecipeSerializer<T>

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.RecipeSerializer<T>`

public record SimpleRecipeSerializer<T extends net.minecraft.world.item.crafting.Recipe<?>>(com.mojang.serialization.MapCodec<T extends net.minecraft.world.item.crafting.Recipe<?>> codec, net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,T extends net.minecraft.world.item.crafting.Recipe<?>> streamCodec) extends Record implements net.minecraft.world.item.crafting.RecipeSerializer<T>

## Field Summary

### Fields inherited from interface net.minecraft.world.item.crafting.RecipeSerializer

`ARMOR_DYE, BANNER_DUPLICATE, BLASTING_RECIPE, BOOK_CLONING, CAMPFIRE_COOKING_RECIPE, DECORATED_POT_RECIPE, FIREWORK_ROCKET, FIREWORK_STAR, FIREWORK_STAR_FADE, MAP_CLONING, MAP_EXTENDING, REPAIR_ITEM, SHAPED_RECIPE, SHAPELESS_RECIPE, SHIELD_DECORATION, SHULKER_BOX_COLORING, SMELTING_RECIPE, SMITHING_TRANSFORM, SMITHING_TRIM, SMOKING_RECIPE, STONECUTTER, SUSPICIOUS_STEW, TIPPED_ARROW`

## Constructor Summary

Constructors
Constructor
Description
`SimpleRecipeSerializer(com.mojang.serialization.MapCodec<T> codec, net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,T> streamCodec)`
Creates an instance of a `SimpleRecipeSerializer` record class.

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.MapCodec<T>`
`codec()`
Returns the value of the `codec` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,T>`
`streamCodec()`
Returns the value of the `streamCodec` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SimpleRecipeSerializer

public SimpleRecipeSerializer(com.mojang.serialization.MapCodec<T> codec, net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,T> streamCodec)
Creates an instance of a `SimpleRecipeSerializer` record class.

Parameters:
  `codec` - the value for the `codec` record component
  `streamCodec` - the value for the `streamCodec` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### codec

public com.mojang.serialization.MapCodec<T> codec()
Returns the value of the `codec` record component.

Specified by:
  `codec` in interface `net.minecraft.world.item.crafting.RecipeSerializer<T extends net.minecraft.world.item.crafting.Recipe<?>>`
Returns:
  the value of the `codec` record component

### streamCodec

public net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,T> streamCodec()
Returns the value of the `streamCodec` record component.

Specified by:
  `streamCodec` in interface `net.minecraft.world.item.crafting.RecipeSerializer<T extends net.minecraft.world.item.crafting.Recipe<?>>`
Returns:
  the value of the `streamCodec` record component